=== debian/changelog ===
nova (1:2014.2.3-0ubuntu1.1) utopic; urgency=medium

  * d/nova-compute.upstart: Fix (another) race between nova-compute
    and neutron-ovs-cleanup (LP: #1471022).

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 06 Jul 2015 12:06:00 +0100

nova (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (4fdd83f) (LP: #1443429)
    - [af85403] Fixes Hyper-V: configdrive is not migrated to destination
    - [db827c7] Handle nova-network tuple format in legacy RPC calls
    - [85d335d] fix the websocket_bad_token test
    - [b29c8e0] Changed target version of NovaCompute object during Service backport
    - [7c4be65] libvirt: partial fix for live-migration with config drive
    - [5a0711d] libvirt: Fixes live migration for volume backed instances
    - [6f479a4] Don't create block device mappings in the API cell
    - [34f029e] libvirt: make default value of numa cell memory to 0 when not defined
    - [b4e3e87] Compute: catch more specific exception for _get_instance_nw_info
    - [676ba7b] Websocket Proxy should verify Origin header
    - [8c377b2] Fix kwargs['instance'] KeyError in @reverts_task_state decorator
    - [6c86f8e] Stop stacktracing in _get_filter_uuid
    - [a761c61] VMware: prevent exception with migrate_disk_and_power_off
    - [33dcffc] Handle MessagingException in unshelving instance
    - [f9bcf74] Handle 404 in os-baremetal-nodes GET
    - [b904b0b] Compute: Catch binding failed exception while init host
    - [b3f80bd] Make tests use sha256 as openssl default digest algorithm
    - [86efb1d] Transform IPAddress to string when creating port
    - [40b19d9] Fixes Hyper-V configdrive network injection issue
    - [ae0c898] Make code compatible with v4 auth and workaround webob bug.
    - [de1b33d] Fixes interfaces template identification issue
    - [42cae28] libvirt: Make sure volumes are well detected during block migration
    - [acb0cc0] Hyper-V: Fix retrieving console logs on live migration
    - [7a30e35] Use reasonable timeout for rpc service_update()
    - [7da8a1c] boot instance with same net-id for multiple --nic
    - [fd36262] Fixes Hyper-V should log a clear error message
    - [ae47935] Allow instances to attach to shared external nets
    - [e7828d9] Fix live migration RPC compatibility with older versions
    - [4ea3c18] Support macvtap for vif_type being hw_veb
    - [acefbcb] VMware: fix exception when multiple compute nodes are running
  * debian/patches/disable-websockify-tests.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:28:44 -0400

nova (1:2014.2.2-0ubuntu2) utopic; urgency=medium

  [ Edward Hope-Morley ]
  * Fixed race between nova-compute and neutron-ovs-cleanup (LP: #1420572)

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 09:43:24 -0400

nova (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (0bad3b1) (LP: #1418695):
    - [965fd30] Eventlet green threads not released back to pool
    - [4349015] Fix unit test failure due to tests sharing mocks
    - [33e0813] Fix image metadata returned for volumes
    - [af3af77] Fixes Hyper-V boot from volume live migration
    - [8c07d42] Add LibvirtGPFSVolumeDriver class
    - [1e4088f] Truncate encoded instance message to 255 or fewer
    - [4c1f28a] Fix connecting unnecessary iSCSI sessions issue
    - [4d91175] Add handling of BadRequest from Neutron
    - [9ee1a0f] only emit deprecation warnings once
    - [56e3dd3] Make ec2 auth support v4 signature format
    - [9f81d9b] Update eventlet API in libvirt driver
    - [2dec248] Unshelving a volume backed instance doesn't work
    - [d9bcfab] Return floating_ip['fixed_ip']['instance_uuid'] from neutronv2 API
    - [5e44c9f] fix pep8 errors that apparently slipped in
    - [7307dba] Fix disconnecting necessary iSCSI sessions issue
    - [eb58ed4] libvirt: safe_decode domain.XMLDesc(0) for i18n logging
    - [ee66c04] Fix ironic delete fails when flavor deleted
    - [39097d3] Add virtual interface before add fixed IP on nova-network
    - [46fa995] Fix live migration api stuck when migrate to old nova node
    - [2da2341] Extends use of ServiceProxy to more methods in HostAPI in cells
    - [699b467] Don't make a no-op DB call
    - [8a3b609] Fix libvirt watchdog support
    - [4dd5080] VMware: fix compute node exception when no hosts in cluster
    - [0bad3b1] Sync strutils from oslo-incubator for mask_password fix
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
    (LP: #1419117).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:38:28 -0500

nova (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (3136cfc) (LP: #1398952):
    - [ee00c80] Instances with NUMA will be packed onto hosts
    - [ccb7ef2] Make Instance.save() update numa_topology
    - [3d0b946] objects: Makes sure Instance._save methods are called
    - [27d071f] Add support for fitting instance NUMA nodes onto a host
    - [6607de4] Add CHAP credentials support
    - [361ece2] Add legacy to the possible server group policies
    - [947bc73] Fix exception handling in _get_host_metrics()
    - [04d6471] Fix for extra_specs KeyError
    - [9b6699f] Use opportunistic approach for migration testing
    - [9c3ec16] Clean up iSCSI multipath devices in Post Live Migration
    - [ce1d1dd] Fix nova-compute start issue after evacuate
    - [7920cfd] Fix nova evacuate issues for RBD
    - [f9be946] Run build_and_run_instance in a separate greenthread
    - [e98738d] Fixes DOS issue in instance list ip filter
    - [9bb36c3] Keep migration status if instance still resizing
    - [6ffc2be] Translate 'powervm' hypervisor_type to 'phyp' for scheduling
    - [c159f91] Use response.text for returning unicode EC2 metadata
    - [837411a] Add @_retry_on_deadlock to _instance_update()
    - [d5e970d3] VMware: attach config drive if booting from a volume

