=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
  python-cinderclient (>= 1:1.1.0),
  python-coverage,
  python-crypto,
+ python-decorator (>=3.4.0),
  python-distutils-extra,
- python-eventlet (>= 0.13.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-feedparser,
  python-fixtures (>= 0.3.14),
  python-glanceclient (>= 1:0.14.0),
@@ -30,12 +31,13 @@
  python-jinja2,
  python-jsonschema (>= 1.3.0),
  python-keystoneclient (>= 1:0.10.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.5.12),
  python-libvirt,
  python-lockfile,
  python-lxml (>= 2.3),
  python-migrate (>= 0.9.1),
- python-mock,
+ python-mock (>= 1.0),
  python-mox,
  python-netaddr (>= 0.7.6),
  python-neutronclient (>= 1:2.3.6),
@@ -86,13 +88,15 @@
  python-babel,
  python-boto (>= 2.4.0),
  python-cinderclient (>= 1:1.1.0),
- python-eventlet (>= 0.13.0),
+ python-decorator (>=3.4.0),
+ python-eventlet (>= 0.13.0-1ubuntu3.1~),
  python-glanceclient (>= 1:0.14.0),
  python-greenlet (>= 0.3.2),
  python-iso8601,
  python-jinja2,
  python-jsonschema (>= 1.3.0),
  python-keystoneclient (>= 1:0.10.0),
+ python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.5.12),
  python-lxml (>= 2.3),
  python-m2crypto,
@@ -106,6 +110,7 @@
  python-paramiko (>= 1.8.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
+ python-pbr (>= 0.6),
  python-pyasn1,
  python-pycadf (>= 0.6.0),
  python-routes,
@@ -330,9 +335,3 @@
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
  and private cloud providers regardless of size, by being simple to implement
- and massively scalable.
- .
- OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
- addition to its "native" API (the OpenStack API), it also supports the Amazon
- EC2 API.
- .
