=== debian/changelog ===
nova (1:2014.2.4-0ubuntu1~cloud4) trusty-juno; urgency=medium

  * d/control: Add missing dependencies to Depends (LP: #1524177).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2015 10:33:50 -0500

nova (1:2014.2.4-0ubuntu1~cloud3) trusty-juno; urgency=medium

  * d/control: Add python-rfc3986 to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Nov 2015 15:31:43 -0500

nova (1:2014.2.4-0ubuntu1~cloud2) trusty-juno; urgency=medium

  * d/p/handle-libvirt-error-in-destroy.patch: Handle libvirt error
    during destroy when the sigkill fails due to an EBUSY (LP: #1353939).
  * d/rules: Fixup conflicting override_dh_python2 targets.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Nov 2015 11:04:19 -0500

nova (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:52:05 -0500

nova (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (3212242) (LP: #1518323):
    - [9d2abbd] Fix live-migrations usage of the wrong connector information
    - [4b439b9] libvirt: fix failure when attaching volume to iso instance
    - [fa72fb8] Delete orphaned instance files from compute nodes
    - [dc5ced2] Don't expect meta attributes in object_compat that aren't in the db obj
    - [539693e] libvirt: Kill rsync/scp processes before deleting instance
    - [bf23643] Sync process utils from oslo for execute callbacks
    - [77d33a3] Don't pass the service catalog when making glance requests
    - [692b5ef] Fixes _cleanup_rbd code to capture ImageBusy exception
    - [53c87f9] Add some tests for the error path(s) in RBD cleanup_volumes()
    - [5cf20f3] Fix rebuild of an instance with a volume attached
    - [e450301] Make use_syslog=True log to syslog via /dev/log
    - [f2ab613] network: fix instance cache refresh for empty list
    - [624345b] libvirt: Don't try to confine a non-NUMA instance
    - [3b9ae16] Mark ironic credential config as secret
    - [7bc4be7] compute: stop handling virt lifecycle events in cleanup_host()
    - [90793b9] Fix quota-update in deleting when nova-compute startup finish
    - [3b62ab5] Make _get_instance_block_device_info preserve root_device_name
    - [79b2b94] Pass block device info in pre_live_migration
    - [6f1f9db] Allow disabling the evacuate cleanup mechanism in compute manager
    - [8f13587] libvirt: safe_decode xml for i18n logging
    - [be8be39] Fix cells rpc connection leak
    - [6208365] Delay STOPPED lifecycle event for all domains, not just Xen
    - [0f7fd92] Don't wait for an event on a resize-revert
    - [5733f4c] Make test_version_string_with_package_is_good work with pbr 0.11
    - [b6692dd] Honor shared storage on resize revert
    - [11e773b] Forbid booting of QCOW2 images with virtual_size > root_gb
    - [98834ab] libvirt: Fail when live block migrating instance with volumes
    - [6db3823] Hyper-V: Sets *DataRoot paths for instances
    - [c2ef829] Support both list and dict for pci_passthrough_whitelist
    - [b251958] Type conflict in trusted_filter.py using attestation_port default value
    - [54e099c] Moves trusted filter unit tests into own file
    - [8718e51] Hyper-V: checks for existent Notes in list_instance_notes
    - [1ace2f5] Fixes Hyper-V dynamic memory issue with vNUMA
    - [aaf256a] Failed to discovery when iscsi multipath and CHAP both enabled
    - [6c4f6fb] Move ComputeNode creation at init stage in ResourceTracker
    - [662f1ee] let fake virt track resources
    - [cfce73b] Pass correct context to get_by_compute_node()
    - [f60214b] Delay STOPPED lifecycle event for Xen domains
    - [6833176] libvirt: remove pointless loop after live migration finishes
    - [141bfd9] Filter fixed IPs from requested_networks in deallocate_for_instance
    - [b0d8d69] Raise exception when backup volume-backed instance
    - [729483f] Better power_state logging in _sync_instance_power_state
    - [bbf6348] Save bdm.connection_info before calling volume_api.attach_volume
    - [5ff5afe] compute: don't trace on InstanceNotFound in reverts_task_state
    - [6cc2dc8] Fix detach_sriov_ports to get context to be able to get image metadata
    - [785510d] Fix BM nodes extension to deal with missing node properties
    - [3212242] Make service-delete work in API cells
  * d/p/fix-requirements.patch: Revert python-oslo.i18n to >= 1.0.0.
  * d/p/add-support-for-syslog-connect-retries.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 15:43:03 -0500

nova (1:2014.2.3-0ubuntu1.2) utopic; urgency=medium

  * Add rsyslog retry support (LP: #1459046)
    - d/p/add-support-for-syslog-connect-retries.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Thu, 16 Jul 2015 10:42:25 +0100
