=== debian/control ===
--- 
+++ 
@@ -98,6 +98,7 @@
  python-keystoneclient (>= 1:0.10.0),
  python-keystonemiddleware (>= 1.0.0),
  python-kombu (>= 2.5.12),
+ python-lockfile,
  python-lxml (>= 2.3),
  python-m2crypto,
  python-migrate (>= 0.9.1),
@@ -105,14 +106,18 @@
  python-neutronclient (>= 1:2.3.6),
  python-oslo.config (>= 1:1.4.0),
  python-oslo.db (>= 1.0.0),
+ python-oslo.i18n (>= 1.0.0),
  python-oslo.messaging (>= 1.4.0),
+ python-oslo.rootwrap (>= 1.3.0),
  python-oslo.vmware (>= 0.6.0),
  python-paramiko (>= 1.8.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
+ python-posix-ipc,
  python-pyasn1,
  python-pycadf (>= 0.6.0),
+ python-rfc3986,
  python-routes,
  python-simplejson,
  python-six (>= 1.7.0),
@@ -333,5 +338,3 @@
 Conflicts: nova-compute-hypervisor
 Description: OpenStack Compute - compute node (VMware)
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
- the ubiquitous cloud computing platform that will meet the needs of public
- and private cloud providers regardless of size, by being simple to implement
