## nova 2015.1~rc1

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
 Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50),
+ debhelper (>= 9~),
+ dh-systemd,
+ openstack-pkg-tools (>= 21ubuntu5~),
  python-all (>= 2.6),
  python-all-dev (>= 2.6.6-3~)
 Build-Depends-Indep:
@@ -13,67 +15,80 @@
  openssl,
  python-amqplib (>= 0.6.1),
  python-anyjson (>= 0.3.3),
- python-babel,
- python-boto (>= 2.4.0),
+ python-babel (>= 1.3),
+ python-barbicanclient (>= 3.0.1),
+ python-boto (>= 2.32.1),
  python-cinderclient (>= 1:1.1.0),
- python-coverage,
+ python-coverage (>= 3.6),
  python-crypto,
- python-decorator (>=3.4.0),
+ python-decorator (>= 3.4.0),
  python-distutils-extra,
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
+ python-eventlet (>= 0.16.1),
  python-feedparser,
  python-fixtures (>= 0.3.14),
- python-glanceclient (>= 1:0.14.0),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
- python-hacking,
+ python-hacking (>= 0.10.0),
  python-ironicclient (>= 0.2.1),
- python-iso8601,
- python-jinja2,
- python-jsonschema (>= 1.3.0),
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
+ python-iso8601 (>= 0.1.9),
+ python-jinja2 (>= 2.6),
+ python-jsonschema (>= 2.0.0),
+ python-keystonemiddleware (>= 1.5.0),
  python-kombu (>= 2.5.12),
  python-libvirt,
  python-lockfile,
  python-lxml (>= 2.3),
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-mock (>= 1.0),
  python-mox,
- python-netaddr (>= 0.7.6),
- python-neutronclient (>= 1:2.3.6),
- python-oslo.config (>= 1:1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.rootwrap (>= 1.3.0),
- python-oslo.vmware (>= 0.6.0),
- python-oslosphinx,
- python-oslotest,
+ python-mox3 (>= 0.7.0),
+ python-mysqldb,
+ python-netaddr (>= 0.7.12),
+ python-neutronclient (>= 1:2.3.11),
+ python-nose,
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.3.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslo-vmware (>= 0.11.0),
+ python-oslosphinx (>= 2.2.0),
+ python-oslotest (>= 1:1.2.0),
  python-paramiko (>= 1.13.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
  python-posix-ipc,
+ python-psutil (>= 1.1.1),
+ python-psycopg2,
  python-pyasn1,
  python-pycadf (>= 0.6.0),
- python-rfc3986,
- python-routes,
+ python-requests-mock (>= 0.5.1),
+ python-rfc3986 (>= 0.2.0),
+ python-routes (>= 1.12.3),
  python-setuptools,
- python-six (>= 1.7.0),
- python-sphinx (>> 1.0),
- python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy,
- python-stevedore (>= 1.0.0),
- python-suds,
- python-testtools (>= 0.9.32),
+ python-six (>= 1.9.0),
+ python-sphinx (>= 1.1.2),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
+ python-tempest-lib (>= 0.3.0),
+ python-testresources,
+ python-testtools (>= 0.9.36),
  python-webob (>= 1.2.3),
  sqlite3,
- subunit,
- testrepository ( >= 0.0.17)
+ subunit (>= 0.0.18),
+ testrepository ( >= 0.0.18)
 Build-Conflicts: python-cjson
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://launchpad.net/nova
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/nova/juno
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/nova/kilo
 XS-Testsuite: autopkgtest
 X-Python-Version: >= 2.7
 
@@ -85,47 +100,48 @@
  openssl,
  python-amqplib (>= 0.6.1),
  python-anyjson (>= 0.3.3),
- python-babel,
- python-boto (>= 2.4.0),
+ python-babel (>= 1.3),
+ python-boto (>= 2.32.1),
  python-cinderclient (>= 1:1.1.0),
- python-decorator (>=3.4.0),
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
- python-glanceclient (>= 1:0.14.0),
+ python-decorator (>= 3.4.0),
+ python-eventlet (>= 0.16.1),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
- python-iso8601,
- python-jinja2,
- python-jsonschema (>= 1.3.0),
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
+ python-iso8601 (>= 0.1.9),
+ python-jinja2 (>= 2.6),
+ python-jsonschema (>= 2.0.0),
+ python-keystonemiddleware (>= 1.5.0),
  python-kombu (>= 2.5.12),
- python-lockfile,
  python-lxml (>= 2.3),
  python-m2crypto,
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 1:2.3.6),
- python-oslo.config (>= 1:1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.rootwrap (>= 1.3.0),
- python-oslo.vmware (>= 0.6.0),
- python-paramiko (>= 1.8.0),
+ python-neutronclient (>= 1:2.3.11),
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.3.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-paramiko (>= 1.13.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
- python-posix-ipc,
+ python-psutil (>= 1.1.1),
  python-pyasn1,
  python-pycadf (>= 0.6.0),
- python-rfc3986,
- python-routes,
+ python-rfc3986 (>= 0.2.0),
+ python-routes (>= 1.12.3),
  python-simplejson,
- python-six (>= 1.7.0),
- python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
- python-stevedore (>= 1.0.0),
- python-suds,
+ python-six (>= 1.9.0),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
  python-webob (>= 1.2.3),
- sudo,
  ${misc:Depends},
  ${python:Depends}
 Suggests: python-ldap
@@ -234,8 +250,8 @@
  (SQLite, MySQL, and PostgreSQL, for instance), different types of user
  databases (LDAP or SQL), etc.
  .
- This package provides common dependencies and setup for all libvirt based
- hypervisor options.
+ This dependency package provides common dependencies and setup for all libvirt
+ based hypervisor options.
 
 Package: nova-compute-lxc
 Architecture: all
@@ -325,16 +341,3 @@
  EC2 API.
  .
  Nova is intended to be modular and easy to extend and adapt. It supports many
- different hypervisors (KVM and Xen to name a few), different database backends
- (SQLite, MySQL, and PostgreSQL, for instance), different types of user
- databases (LDAP or SQL), etc.
- .
- Install this package on your compute nodes if you're using kvm.
-
-Package: nova-compute-vmware
-Architecture: all
-Depends: genisoimage, nova-compute (= ${binary:Version}), ${misc:Depends}
-Provides: nova-compute-hypervisor
-Conflicts: nova-compute-hypervisor
-Description: OpenStack Compute - compute node (VMware)
- OpenStack is a reliable cloud infrastructure. Its mission is to produce
